Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ogg.h File Reference

`#include <ogg/os_types.h>`

Include dependency graph for ogg.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
struct | ogg_packet
struct | ogg_page
struct | ogg_stream_state
struct | ogg_sync_state
struct | oggpack_buffer
## Functions
void | oggpack_writeinit (oggpack_buffer *b)
void | oggpack_reset (oggpack_buffer *b)
void | oggpack_writeclear (oggpack_buffer *b)
void | oggpack_readinit (oggpack_buffer *b, unsigned char *buf, int bytes)
void | oggpack_write (oggpack_buffer *b, unsigned long value, int bits)
long | oggpack_look (oggpack_buffer *b, int bits)
long | oggpack_look_huff (oggpack_buffer *b, int bits)
long | oggpack_look1 (oggpack_buffer *b)
void | oggpack_adv (oggpack_buffer *b, int bits)
int | oggpack_adv_huff (oggpack_buffer *b, int bits)
void | oggpack_adv1 (oggpack_buffer *b)
long | oggpack_read (oggpack_buffer *b, int bits)
long | oggpack_read1 (oggpack_buffer *b)
long | oggpack_bytes (oggpack_buffer *b)
long | oggpack_bits (oggpack_buffer *b)
unsigned char * | oggpack_get_buffer (oggpack_buffer *b)
int | ogg_stream_packetin (ogg_stream_state *os, ogg_packet *op)
int | ogg_stream_pageout (ogg_stream_state *os, ogg_page *og)
int | ogg_stream_flush (ogg_stream_state *os, ogg_page *og)
int | ogg_sync_init (ogg_sync_state *oy)
int | ogg_sync_clear (ogg_sync_state *oy)
int | ogg_sync_reset (ogg_sync_state *oy)
int | ogg_sync_destroy (ogg_sync_state *oy)
char * | ogg_sync_buffer (ogg_sync_state *oy, long size)
int | ogg_sync_wrote (ogg_sync_state *oy, long bytes)
long | ogg_sync_pageseek (ogg_sync_state *oy, ogg_page *og)
int | ogg_sync_pageout (ogg_sync_state *oy, ogg_page *og)
int | ogg_stream_pagein (ogg_stream_state *os, ogg_page *og)
int | ogg_stream_packetout (ogg_stream_state *os, ogg_packet *op)
int | ogg_stream_packetpeek (ogg_stream_state *os, ogg_packet *op)
int | ogg_stream_init (ogg_stream_state *os, int serialno)
int | ogg_stream_clear (ogg_stream_state *os)
int | ogg_stream_reset (ogg_stream_state *os)
int | ogg_stream_destroy (ogg_stream_state *os)
int | ogg_stream_eos (ogg_stream_state *os)
int | ogg_page_version (ogg_page *og)
int | ogg_page_continued (ogg_page *og)
int | ogg_page_bos (ogg_page *og)
int | ogg_page_eos (ogg_page *og)
ogg_int64_t | ogg_page_granulepos (ogg_page *og)
int | ogg_page_serialno (ogg_page *og)
long | ogg_page_pageno (ogg_page *og)
int | ogg_page_packets (ogg_page *og)
void | ogg_packet_clear (ogg_packet *op)

## Function Documentation

void ogg_packet_clear | ( | ogg_packet * | op | ) |

int ogg_page_bos | ( | ogg_page * | og | ) |

int ogg_page_continued | ( | ogg_page * | og | ) |

int ogg_page_eos | ( | ogg_page * | og | ) |

ogg_int64_t ogg_page_granulepos | ( | ogg_page * | og | ) |

int ogg_page_packets | ( | ogg_page * | og | ) |

long ogg_page_pageno | ( | ogg_page * | og | ) |

int ogg_page_serialno | ( | ogg_page * | og | ) |

int ogg_page_version | ( | ogg_page * | og | ) |

int ogg_stream_clear | ( | ogg_stream_state * | os | ) |

int ogg_stream_destroy | ( | ogg_stream_state * | os | ) |

int ogg_stream_eos | ( | ogg_stream_state * | os | ) |

int ogg_stream_flush | ( | ogg_stream_state * | os,
|  | ogg_page * | og
| ) |

int ogg_stream_init | ( | ogg_stream_state * | os,
|  | int | serialno
| ) |

int ogg_stream_packetin | ( | ogg_stream_state * | os,
|  | ogg_packet * | op
| ) |

int ogg_stream_packetout | ( | ogg_stream_state * | os,
|  | ogg_packet * | op
| ) |

int ogg_stream_packetpeek | ( | ogg_stream_state * | os,
|  | ogg_packet * | op
| ) |

int ogg_stream_pagein | ( | ogg_stream_state * | os,
|  | ogg_page * | og
| ) |

int ogg_stream_pageout | ( | ogg_stream_state * | os,
|  | ogg_page * | og
| ) |

int ogg_stream_reset | ( | ogg_stream_state * | os | ) |

char* ogg_sync_buffer | ( | ogg_sync_state * | oy,
|  | long | size
| ) |

int ogg_sync_clear | ( | ogg_sync_state * | oy | ) |

int ogg_sync_destroy | ( | ogg_sync_state * | oy | ) |

int ogg_sync_init | ( | ogg_sync_state * | oy | ) |

int ogg_sync_pageout | ( | ogg_sync_state * | oy,
|  | ogg_page * | og
| ) |

long ogg_sync_pageseek | ( | ogg_sync_state * | oy,
|  | ogg_page * | og
| ) |

int ogg_sync_reset | ( | ogg_sync_state * | oy | ) |

int ogg_sync_wrote | ( | ogg_sync_state * | oy,
|  | long | bytes
| ) |

void oggpack_adv | ( | oggpack_buffer * | b,
|  | int | bits
| ) |

void oggpack_adv1 | ( | oggpack_buffer * | b | ) |

int oggpack_adv_huff | ( | oggpack_buffer * | b,
|  | int | bits
| ) |

long oggpack_bits | ( | oggpack_buffer * | b | ) |

long oggpack_bytes | ( | oggpack_buffer * | b | ) |

unsigned char* oggpack_get_buffer | ( | oggpack_buffer * | b | ) |

long oggpack_look | ( | oggpack_buffer * | b,
|  | int | bits
| ) |

long oggpack_look1 | ( | oggpack_buffer * | b | ) |

long oggpack_look_huff | ( | oggpack_buffer * | b,
|  | int | bits
| ) |

long oggpack_read | ( | oggpack_buffer * | b,
|  | int | bits
| ) |

long oggpack_read1 | ( | oggpack_buffer * | b | ) |

void oggpack_readinit | ( | oggpack_buffer * | b,
|  | unsigned char * | buf,
|  | int | bytes
| ) |

void oggpack_reset | ( | oggpack_buffer * | b | ) |

void oggpack_write | ( | oggpack_buffer * | b,
|  | unsigned long | value,
|  | int | bits
| ) |

void oggpack_writeclear | ( | oggpack_buffer * | b | ) |

void oggpack_writeinit | ( | oggpack_buffer * | b | ) |